package com.steering.pss.sale.price.entity;

/**
 * 数据库表SLM_PRICE_ADDPRICE_LINE所对应的实体类（生成工具：代码生成器3.0）
 * @author JK-KF-WUHJ   date 2016-08-04
 */
@SuppressWarnings("serial")
public class SlmPriceAddpriceLineEntity implements java.io.Serializable {
    /**
     * 头ID
     */
    private String priceaddId = "";
    /**
     * 加价ID
     */
    private String priceaddLineId = "";
    /**
     * 分类
     */
    private String priceaddClassify = "";
    /**
     * 加价项目
     */
    private String priceaddItem = "";
    /**
     * 加价项值
     */
    private String priceaddItemvalue = "";
    /**
     * 加价
     */
    private String priceaddPrice = "";
    /**
     * 适用ID
     */
    private String priceaddSuit = "";
    /**
     * 是否有效
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 更改人
     */
    private String updateName = "";
    /**
     * 更改时间
     */
    private String updateTime = "";
    /**
     * 步长
     */
    private String priceStep = "";

    /**
     * 头ID
     * @return value
     */
    public String getPriceaddId() {
        return priceaddId;
    }

    /**
     * 头ID
     * @param priceaddId value
     */
    public void setPriceaddId(String priceaddId) {
        this.priceaddId = priceaddId;
    }

    /**
     * 加价ID
     * @return value
     */
    public String getPriceaddLineId() {
        return priceaddLineId;
    }

    /**
     * 加价ID
     * @param priceaddLineId value
     */
    public void setPriceaddLineId(String priceaddLineId) {
        this.priceaddLineId = priceaddLineId;
    }

    /**
     * 分类
     * @return value
     */
    public String getPriceaddClassify() {
        return priceaddClassify;
    }

    /**
     * 分类
     * @param priceaddClassify value
     */
    public void setPriceaddClassify(String priceaddClassify) {
        this.priceaddClassify = priceaddClassify;
    }

    /**
     * 加价项目
     * @return value
     */
    public String getPriceaddItem() {
        return priceaddItem;
    }

    /**
     * 加价项目
     * @param priceaddItem value
     */
    public void setPriceaddItem(String priceaddItem) {
        this.priceaddItem = priceaddItem;
    }

    /**
     * 加价项值
     * @return value
     */
    public String getPriceaddItemvalue() {
        return priceaddItemvalue;
    }

    /**
     * 加价项值
     * @param priceaddItemvalue value
     */
    public void setPriceaddItemvalue(String priceaddItemvalue) {
        this.priceaddItemvalue = priceaddItemvalue;
    }

    /**
     * 加价
     * @return value
     */
    public String getPriceaddPrice() {
        return priceaddPrice;
    }

    /**
     * 加价
     * @param priceaddPrice value
     */
    public void setPriceaddPrice(String priceaddPrice) {
        this.priceaddPrice = priceaddPrice;
    }

    /**
     * 适用ID
     * @return value
     */
    public String getPriceaddSuit() {
        return priceaddSuit;
    }

    /**
     * 适用ID
     * @param priceaddSuit value
     */
    public void setPriceaddSuit(String priceaddSuit) {
        this.priceaddSuit = priceaddSuit;
    }

    /**
     * 是否有效
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 是否有效
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 更改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 更改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 更改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 更改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 步长
     * @return value
     */
    public String getPriceStep() {
        return priceStep;
    }

    /**
     * 步长
     * @param priceStep value
     */
    public void setPriceStep(String priceStep) {
        this.priceStep = priceStep;
    }
}